<template>
    <a-menu-item
        v-if="permsArray.includes('website_pages_view') || permsArray.includes('admin')"
        @click="
            () => {
                menuSelected();
                $router.push({
                    name: 'admin.website-pages.index',
                });
            }
        "
        key="website_pages"
    >
        <FileTextOutlined />
        <span>{{ $t("menu.website_pages") }}</span>
    </a-menu-item>
</template>

<script setup>
import { FileTextOutlined } from "@ant-design/icons-vue";
defineProps({
    permsArray: {
        type: Array,
        required: true,
    },
    menuSelected: {
        type: Function,
        required: true,
    },
});

defineOptions({
    order: 11,
    permission: "website_pages_view",
});
</script>
